import { OnInit, ElementRef, TemplateRef, QueryList, Injector } from '@angular/core';
import { NgModel, FormControlName } from '@angular/forms';
import { DataTypeEnum } from '../../core/reflect-input.models';
import { NgxCustomTemplateForDirective } from '../ngx-custom-template-for.directive';
import { ElementBase } from '../../core/element-base';
export declare class NgxInputForComponent extends ElementBase<any> implements OnInit {
    el: ElementRef;
    protected injector: Injector;
    DataTypeEnum: typeof DataTypeEnum;
    dataType: number;
    placeHolder: string;
    name: string;
    _template: NgxCustomTemplateForDirective;
    readonly: boolean;
    field: string;
    ngModel: NgModel;
    formControlName: FormControlName;
    ngxInput: boolean;
    templates: QueryList<NgxCustomTemplateForDirective>;
    constructor(el: ElementRef, injector: Injector);
    ngOnInit(): void;
    getTemplate(): TemplateRef<any>;
}
